using System;


    class Program
    {
        static void Main(string[] args)
        {
            string tekst = Console.ReadLine();
            string cenzurisana = Console.ReadLine();

            char[] niz_tekst = new char[tekst.Length];
            for(int i = 0;i < tekst.Length;i++)
            {
                niz_tekst[i] = tekst[i];
            }
            
            
            #region provera da li postoji rec
            int x, y;
            for (x = 0, y = 0; y < cenzurisana.Length; x++, y++)
            {
                x = tekst.IndexOf(cenzurisana[y], x);   
                if (x == -1)
                    break;
            }

            if(y != cenzurisana.Length)
            {
                Console.WriteLine("0");
                Console.WriteLine(tekst);
                return;
            }
            #endregion

            int br_cenzurisanih = 0;
            
            if(cenzurisana == cenzurisana[0].ToString())
            { 
                for(int i = 0;i < niz_tekst.Length;i++)
                {
                    if(niz_tekst[i] == cenzurisana[0])
                    {
                        niz_tekst[i] = '*';
                        br_cenzurisanih++;
                    }
                }
            }
            else
            {
                for(int i = 0;i < niz_tekst.Length;i++)
                {
                    if(niz_tekst[i] == cenzurisana[0])
                    {
                        br_cenzurisanih++;
                    }
                }
                br_cenzurisanih = br_cenzurisanih - cenzurisana.Length + 1;

                int brojac = br_cenzurisanih;
                for (int i = 0; i < niz_tekst.Length; i++)
                {
                    if (niz_tekst[i] == cenzurisana[0] && brojac > 0)
                    {
                        niz_tekst[i] = '*';
                        brojac--;
                    }
                }
            }

            Console.WriteLine(br_cenzurisanih);
            for(int i = 0;i < niz_tekst.Length;i++)
            {
                Console.Write(niz_tekst[i]);
            }
            
            
        }
    }